use argh_derive::FromArgs;

#[derive(FromArgs)]
/// Create Aviary galleries
pub struct Args {
	/// the title of the gallery
	#[argh(option, short = 't')]
	pub title: Option<String>,

	/// the null pointer server to use
	#[argh(option, short = 's', default = "\"envs.sh\".to_owned()")]
	pub server: String,

	/// A list of image files to post
	#[argh(positional)]
	pub images: Vec<String>,
}
